## visad
Interface RemoteReferenceLink

All Superinterfaces:
  Remote

All Known Implementing Classes:
  RemoteReferenceLinkImpl

public interface RemoteReferenceLink
extends Remote

RemoteReferenceLink is the interface for links to Remote objects.

Method Summary
`Vector` `getConstantMapVector()` return the list of ConstantMap-s which apply to this Data object
`RemoteDataReference` `getReference()` return a reference to the remote Data object
`String` `getRendererClassName()` return the name of the DataRenderer used to render this reference

Method Detail

### getRendererClassName

    public String getRendererClassName()
                                throws VisADException,
                                       RemoteException

  return the name of the DataRenderer used to render this reference

  Throws:
    `VisADException`
    `RemoteException`

### getReference

    public RemoteDataReference getReference()
                                     throws VisADException,
                                            RemoteException

  return a reference to the remote Data object

  Throws:
    `VisADException`
    `RemoteException`

### getConstantMapVector

    public Vector getConstantMapVector()
                                throws VisADException,
                                       RemoteException

  return the list of ConstantMap-s which apply to this Data object

  Throws:
    `VisADException`
    `RemoteException`